## python-nbstripout 0.8.1

=== tests/requirements.txt ===
pytest
pytest-ruff

=== debian/changelog ===
python-nbstripout (0.8.1-2) unstable; urgency=medium

  * Source-only upload to allow migration to testing

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 22 Mar 2025 06:38:00 +0000

python-nbstripout (0.8.1-1) unstable; urgency=medium

  [ Francesco Ballarin ]
  * Initial release. Closes: #1096128.
  * Add pytest-without-ruff.patch: skip running ruff checks while testing,
    since upstream requires pytest-ruff, which is not packaged yet in debian,
    and since ruff checks are not relevant for us anyways.
  * Allow stderr on debci because tests use git, which prints errors like
       hint: Using 'master' as the name for the initial branch
    if unconfigured.
  * Run pytest at build time.
    - set PYBUILD_TEST_PYTEST=0 and manually run pytest in the step
      execute_after_dh_auto_install, because the tests needs the nbstripout
      executable which is produced by install_scripts in dh_auto_install
  * Move the command line interface to its own package.

  [ Drew Parsons ]
  * Team upload.

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Mar 2025 15:10:36 +0100

=== debian/control ===
Source: python-nbstripout
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Francesco Ballarin <francesco.ballarin@unicatt.it>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-nbformat,
 python3-pytest <!nocheck>,
 git <!nocheck>
Standards-Version: 4.7.0
Homepage: https://github.com/kynan/nbstripout
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nbstripout
Vcs-Git: https://salsa.debian.org/python-team/packages/python-nbstripout.git

Package: nbstripout
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-nbstripout (>= ${binary:Version})
Description: Strip output from Jupyter and IPython notebooks (Python 3)
 Reads a notebook from a file or stdin, strips output and some metadata,
 and writes the "cleaned" version of the notebook to the original file
 or stdout.
 .
 Intended to be used as a Git filter or pre-commit hook for users who
 don't want to track output in Git.
 .
 This package provides the command-line interface.

Package: python3-nbstripout
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Strip output from Jupyter and IPython notebooks (Python 3)
 Reads a notebook from a file or stdin, strips output and some metadata,
 and writes the "cleaned" version of the notebook to the original file
 or stdout.
 .
 Intended to be used as a Git filter or pre-commit hook for users who
 don't want to track output in Git.
 .
 This package installs the library for Python 3.

=== debian/tests/control ===
Tests: run-unit-tests
Depends: @, @builddeps@,
 python3,
 python3-pytest,
 git
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/kynan/nbstripout/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## python-nbstripout 0.9.0

=== debian/changelog ===
python-nbstripout (0.9.0-1~exp1) experimental; urgency=medium

  * New upstream release 0.9.0
  * Add man page to nbstripout executable using help2man
  * Standards-Version: 4.7.3 (routine-update)
  * Update F. Ballarin's email address.
  * Run autopkgtests against all supported python versions.

 -- Francesco Ballarin <ballarin@debian.org>  Sun, 08 Feb 2026 10:25:27 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Francesco Ballarin <francesco.ballarin@unicatt.it>
+Uploaders: Francesco Ballarin <ballarin@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -13,7 +13,7 @@
  python3-nbformat,
  python3-pytest <!nocheck>,
  git <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/kynan/nbstripout
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nbstripout
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-nbstripout.git

## python-nbstripout 0.9.1

=== debian/changelog ===
python-nbstripout (0.9.1-1) unstable; urgency=medium

  * New upstream release 0.9.1
  * Update watch file format version to 5.
  * Use GitHub template in watch file instead of explicit
    Source/Matching-Pattern.
  * Remove unnecessary Priority and Rules-Requires-Root fields from d/control

 -- Francesco Ballarin <ballarin@debian.org>  Sun, 01 Mar 2026 06:38:55 +0000

python-nbstripout (0.9.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Francesco Ballarin <ballarin@debian.org>  Sun, 15 Feb 2026 15:14:41 +0000

python-nbstripout (0.9.0-1~exp2) experimental; urgency=medium

  * Add build dependency on pybuild-plugin-pyproject.

 -- Francesco Ballarin <ballarin@debian.org>  Sun, 08 Feb 2026 13:16:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: python-nbstripout
 Section: python
 Testsuite: autopkgtest-pkg-python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Francesco Ballarin <ballarin@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all,
  python3-nbformat,

=== debian/watch ===
Version: 5

Filename-Mangle: s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%
Template: GitHub
Owner: kynan
Project: nbstripout
